global:
  _hopsworks:
    imageRegistry: &image-registry registry-proxy.supermicro.local:5001
    imagePullPolicy: IfNotPresent
    managedDockerRegistery:
      enabled: true
      domain: "registry-proxy.supermicro.local"
      port: "32000"
      credHelper:
        enabled: false

consul:
  global:
    image: registry-proxy.supermicro.local:5001/hashicorp/consul:1.16.3
    imageK8S: registry-proxy.supermicro.local:5001/hashicorp/consul-k8s-control-plane:1.3.1
  consul:
    server:
      enabled: true
      replicas: 1

docker-registry:
  enabled: false

hopsfs:
  datanode:
    count: 1
    storage:
      size: 100Gi

hopsworks:
  variables:
    docker_operations_push_insecure: true
  hopsworksCA:
    ca_count: 1
  replicaCount:
    worker: 1
  # give some more time since everything is running on the same host
  probs:
    worker:
      livenessProbe:
        initialDelaySeconds: 0
        periodSeconds: 10
        timeoutSeconds: 20
        failureThreshold: 100
      readinessProbe:
        initialDelaySeconds: 60
        periodSeconds: 10
      startupProbe:
        failureThreshold: 30

spark:
  spark-operator:
    image:
      repository: registry-proxy.supermicro.local:5001/hopsworks/spark-operator
  rss:
    shuffleServer:
      replicas: 1
    coordinator:
      count: 1

rondb:
  images:
    rondb:
      registry: *image-registry
    mysqldExporter:
      registry: *image-registry
  isMultiNodeCluster: false
  clusterSize:
    activeDataReplicas: 1
    minNumMySQLServers: 1
    maxNumMySQLServers: 1
    minNumRdrs: 1
    maxNumRdrs: 1
    resources:
      limits:
        cpus:
          ndbmtds: 1
        memory:
          ndbmtdsMiB: 7168
      requests:
        cpus:
          ndbmtds: 0.5
        memory:
          ndbmtdsMiB: 7168

minio:
  enabled: true
  replicas: 1
  storage: 700Gi
  
prometheus:
  prometheus-adapter:
    image:
      repository: registry-proxy.supermicro.local:5001/hopsworks/prometheus-adapter
  prometheus:
    global:
      imageRegistry: *image-registry
    configmapReload:
      prometheus:
        image:
          repository: registry-proxy.supermicro.local:5001/prometheus-operator/prometheus-config-reloader
    server:
      image:
        repository: registry-proxy.supermicro.local:5001/prometheus/prometheus
    alertmanager:
      image:
        repository: registry-proxy.supermicro.local:5001/prometheus/alertmanager
      configmapReload:
        image:
          repository: registry-proxy.supermicro.local:5001/prometheus-operator/prometheus-config-reloader
    prometheus-node-exporter: # default is disabled
      image:
        registry: *image-registry
    prometheus-pushgateway:
      image:
        repository: registry-proxy.supermicro.local:5001/prometheus/pushgateway

kafka:
  strimzi-kafka-operator:
    defaultImageRegistry: *image-registry

grafana:
  grafana:
    global:
      imageRegistry: *image-registry
    downloadDashboardsImage:
      registry: *image-registry

olk:
  prometheus-elasticsearch-exporter:
    image:
      registry: *image-registry